Bug 1778184 - [UI] The "file name" cloumn doesnt displayes file_name for export for any template class.
Summary: [UI] The "file name" cloumn doesnt displayes file_name for export for any tem...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Templates Plugin
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.7.0
Assignee: Ondřej Pražák
QA Contact: Jitendra Yejare
URL:
Whiteboard:
Depends On:
Blocks: 1778146
TreeView+ depends on / blocked
 
Reported: 2019-11-29 13:01 UTC by Jitendra Yejare
Modified: 2020-04-14 13:28 UTC (History)
2 users (show)

Fixed In Version: rubygem-foreman_templates-7.0.5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:27:44 UTC
Target Upstream Version:


Attachments (Terms of Use)
export screen (22.00 KB, image/png)
2019-12-03 13:54 UTC, Marek Hulan
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28414 Normal Closed [UI] The "file name" cloumn doesnt displayes file_name for export for any template class. 2020-10-27 03:13:35 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:28:00 UTC

Description Jitendra Yejare 2019-11-29 13:01:34 UTC
Description of problem:
The Foreman Templates export in UI, post export and in export reports don't show the file_name of exported template for any template class. But shows on import.

Version-Release number of selected component (if applicable):
Satellite 6.3 snap 3

How reproducible:
Always

Steps to Reproduce:
1. From UI, Hosts -> Templates -> Sync Templates , Export the templates to local directory.
2. View the export reports after export for all/filtered templates is done.

Actual results:
The export reports don't show the file_name of the exported template for any template class.

Expected results:
The export reports should show the file_name of the exported template for any template class.

Comment 4 Marek Hulan 2019-12-03 13:54:27 UTC
Created attachment 1641680 [details]
export screen

Comment 7 Ondřej Pražák 2019-12-04 09:43:19 UTC
Created redmine issue https://projects.theforeman.org/issues/28414 from this bug

Comment 8 Ondřej Pražák 2019-12-04 09:47:11 UTC
Not a regression, this bug is in a new feature.

Comment 9 Bryan Kearney 2019-12-04 11:01:31 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 10 Bryan Kearney 2019-12-04 11:01:34 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 11 Bryan Kearney 2019-12-10 17:01:43 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28414 has been resolved.

Comment 12 Jitendra Yejare 2019-12-17 13:34:54 UTC
Verified!

@ Satellite 6.7 snap 6

Steps:
----------
1. From UI, Hosts -> Templates -> Sync Templates , Export the templates to local directory.
2. View the export reports after export for all/filtered templates is done.


Observation:
---------------
The export reports shows the file_name of the exported template for all template classes.

Comment 15 errata-xmlrpc 2020-04-14 13:27:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.